package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class AsKepIntervensi
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "AsKepIntervensi_M")
public class AsKepIntervensiVO extends BaseMasterVO {
	@Caption(value="Intervensi")
	private String intervensi;

	public void setIntervensi(String intervensi) {
		this.intervensi = intervensi;
	}

	@Column(name = "Intervensi", nullable = false , length = 150)
	public String getIntervensi(){
		return this.intervensi;
	}

	@Caption(value="Kode Intervensi")
	private Integer kdIntervensi;

	@Column(name = "KdIntervensi", nullable = false )
	public Integer getKdIntervensi() {
		return kdIntervensi;
	}

	public void setKdIntervensi(Integer kdIntervensi) {
		this.kdIntervensi = kdIntervensi;
	}

	@Caption(value="QIntervensi")
	private Integer qIntervensi;

	@Column(name = "QIntervensi", nullable = false )
	public Integer getqIntervensi() {
		return qIntervensi;
	}

	public void setqIntervensi(Integer qIntervensi) {
		this.qIntervensi = qIntervensi;
	}



}

